GDBserver

Public Types | List of all members
gdb::default_init_allocator< T, A >::rebind< U > Struct Template Reference

`#include "default-init-alloc.h"`

## Public Types
typedef std::allocator_traits< A > | traits_
typedef traits_::template rebind_alloc< U > | alloc_
typedef default_init_allocator< U, alloc_ > | other

## Detailed Description

### template<typename T, typename A = std::allocator<T>>
template<typename U>
struct gdb::default_init_allocator< T, A >::rebind< U >

Definition at line 41 of file default-init-alloc.h.

## Member Typedef Documentation

## ◆ alloc_

template<typename T , typename A = std::allocator<T>>
template<typename U >

typedef traits_::template rebind_alloc<U> gdb::default_init_allocator< T, A >::rebind< U >::alloc_

Definition at line 45 of file default-init-alloc.h.

## ◆ other

template<typename T , typename A = std::allocator<T>>
template<typename U >

typedef default_init_allocator<U, alloc_> gdb::default_init_allocator< T, A >::rebind< U >::other

Definition at line 48 of file default-init-alloc.h.

## ◆ traits_

template<typename T , typename A = std::allocator<T>>
template<typename U >

typedef std::allocator_traits<A> gdb::default_init_allocator< T, A >::rebind< U >::traits_

Definition at line 44 of file default-init-alloc.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/default-init-alloc.h